<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:cndoc="http://www.scriptcalendar.com">


	<!--<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>-->
	<xsl:output method="html" indent="no"/>


	<!--
	************************************************************
	***  Example Xml
	************************************************************
	-->
	<!--
	<events>
		<event>
			<month>12</month>
			<day>1</day>
			<year>2006<year/>
			<text>event on 12-1-2006</text>
			<popuplink/>
			<style/>
			<tooltip/>
			<script/>
			<filter/>
		</event>
		<event>
			<month>12</month>
			<day>2</day>
			<year>2006<year/>
			<text>event on 12-2-2006</text>
			<popuplink/>
			<style>scEventRed</style>
			<tooltip/>
			<script/>
		</event>
	</events>
	-->
	
	<!--
	************************************************************
	***  Main templates
	************************************************************
	-->


	<xsl:template match="/">
		<xsl:apply-templates select="events" />
	</xsl:template>

	<xsl:template match="events">
		<xsl:apply-templates select="event" />
	</xsl:template>

	<xsl:template match="event">
		fscEvent(<xsl:call-template name="ToNull"><xsl:with-param name="value" select="month"/></xsl:call-template>
			, <xsl:call-template name="ToNull"><xsl:with-param name="value" select="day"/></xsl:call-template>
			, <xsl:call-template name="ToNull"><xsl:with-param name="value" select="year"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="text"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="popuplink"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="style"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="tooltip"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="script"/></xsl:call-template>
			, <xsl:call-template name="ToNullQuote"><xsl:with-param name="value" select="filter"/></xsl:call-template>
		);
	</xsl:template>


	<!--
	************************************************************
	***  Misc templates
	************************************************************
	-->
	<xsl:template name="ToNull">
		<xsl:param name="value"/>
		
		<xsl:choose>
			<xsl:when test="string-length($value)=0">null</xsl:when>
			<xsl:otherwise><xsl:value-of select="$value"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="ToNullQuote">
		<xsl:param name="value"/>
		
		<xsl:choose>
			<xsl:when test="string-length($value)=0">null</xsl:when>
			<xsl:otherwise>'<xsl:value-of select="$value"/>'</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
